<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: animation  YAHOO.util.Easing   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>animation&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_animation.html">animation</a>
                 &gt; YAHOO.util.Easing 
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">


                    <h2>
                        

                        
                        
                            Class <b>YAHOO.util.Easing</b>
                        <span class="extends">
                        </span>

                        <span class="extends">
                        </span>
                        
                        </code>
                    </h2>
                    <!-- class tree goes here -->
                    
                
  

                    <div class="summary description">
                        Singleton that determines how an animation proceeds from start to end.
                    </div>




                        <div class="section method details">
                            <h3><a name="methodDetails">Methods</a></h3>
                            <div class="content">
                                    <h4>
                                        <a name="backBoth">backBoth</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>backBoth</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                                        , 
                                                         s
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Backtracks slightly, then reverses direction, overshoots end, 
then reverses and comes back to end.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                        <dd>
                                                            <code>s &lt;Number&gt;</code>
                                                             Overshoot (optional)
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="backIn">backIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>backIn</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                                        , 
                                                         s
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Backtracks slightly, then reverses direction and moves to end.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                        <dd>
                                                            <code>s &lt;Number&gt;</code>
                                                             Overshoot (optional)
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="backOut">backOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>backOut</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                                        , 
                                                         s
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Overshoots end, then reverses and comes back to end.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                        <dd>
                                                            <code>s &lt;Number&gt;</code>
                                                             Overshoot (optional)
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="bounceBoth">bounceBoth</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>bounceBoth</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Bounces off start and end.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="bounceIn">bounceIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>bounceIn</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Bounce off of start.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="bounceOut">bounceOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>bounceOut</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Bounces off end.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="easeBoth">easeBoth</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>easeBoth</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Begins slowly and decelerates towards end. (quadratic)
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="easeBothStrong">easeBothStrong</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>easeBothStrong</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Begins slowly and decelerates towards end. (quartic)
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="easeIn">easeIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>easeIn</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Begins slowly and accelerates towards end. (quadratic)
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="easeInStrong">easeInStrong</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>easeInStrong</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Begins slowly and accelerates towards end. (quartic)
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="easeNone">easeNone</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>easeNone</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Uniform speed between points.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="easeOut">easeOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>easeOut</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Begins quickly and decelerates towards end.  (quadratic)
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="easeOutStrong">easeOutStrong</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>easeOutStrong</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Begins quickly and decelerates towards end.  (quartic)
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="elasticBoth">elasticBoth</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>elasticBoth</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                                        , 
                                                         a
                                                    
                                                
                                                        , 
                                                         p
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Snap both elastic effect.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                        <dd>
                                                            <code>a &lt;Number&gt;</code>
                                                             Amplitude (optional)
                                                        </dd>
                                                        <dd>
                                                            <code>p &lt;Number&gt;</code>
                                                             Period (optional)
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="elasticIn">elasticIn</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>elasticIn</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                                        , 
                                                         a
                                                    
                                                
                                                        , 
                                                         p
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Snap in elastic effect.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                        <dd>
                                                            <code>a &lt;Number&gt;</code>
                                                             Amplitude (optional)
                                                        </dd>
                                                        <dd>
                                                            <code>p &lt;Number&gt;</code>
                                                             Period (optional)
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                                    <h4>
                                        <a name="elasticOut">elasticOut</a></h4>
                                    <div class="detail">
                                        <code>
                                        
                                        
                                        
                                        Number
                                            <strong>elasticOut</strong>
                                           (
                                                
                                                        
                                                         t
                                                    
                                                
                                                        , 
                                                         b
                                                    
                                                
                                                        , 
                                                         c
                                                    
                                                
                                                        , 
                                                         d
                                                    
                                                
                                                        , 
                                                         a
                                                    
                                                
                                                        , 
                                                         p
                                                    
                                                
                                            )
                                        </code>
                                        
                                        <div class="description">
                                            Snap out elastic effect.
                                        </div>

                                        <div class="description">

                                                <dl>
                                                    <dt>Parameters:</dt>
                                                        <dd>
                                                            <code>t &lt;Number&gt;</code>
                                                             Time value used to compute current value
                                                        </dd>
                                                        <dd>
                                                            <code>b &lt;Number&gt;</code>
                                                             Starting value
                                                        </dd>
                                                        <dd>
                                                            <code>c &lt;Number&gt;</code>
                                                             Delta between start and end values
                                                        </dd>
                                                        <dd>
                                                            <code>d &lt;Number&gt;</code>
                                                             Total length of animation
                                                        </dd>
                                                        <dd>
                                                            <code>a &lt;Number&gt;</code>
                                                             Amplitude (optional)
                                                        </dd>
                                                        <dd>
                                                            <code>p &lt;Number&gt;</code>
                                                             Period (optional)
                                                        </dd>
                                                </dl>

                                                <dl>
                                                    <dt>Returns:
                                                    <code>
                                                        Number
                                                    </code></dt>
                                                    <dd>The computed value for the current animation frame</dd>
                                                </dl>
             
                                        </div>

                                    </div>
                                    <hr />
                            </div>
                        </div>







			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class="selected"><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Anim.html">YAHOO.util.Anim</a></li>
                                <li class=""><a href="YAHOO.util.AnimMgr.html">YAHOO.util.AnimMgr</a></li>
                                <li class=""><a href="YAHOO.util.Bezier.html">YAHOO.util.Bezier</a></li>
                                <li class=""><a href="YAHOO.util.ColorAnim.html">YAHOO.util.ColorAnim</a></li>
                                <li class="selected"><a href="YAHOO.util.Easing.html">YAHOO.util.Easing</a></li>
                                <li class=""><a href="YAHOO.util.Motion.html">YAHOO.util.Motion</a></li>
                                <li class=""><a href="YAHOO.util.Scroll.html">YAHOO.util.Scroll</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Anim.js.html">Anim.js</a></li>
                                <li class=""><a href="AnimMgr.js.html">AnimMgr.js</a></li>
                                <li class=""><a href="Bezier.js.html">Bezier.js</a></li>
                                <li class=""><a href="ColorAnim.js.html">ColorAnim.js</a></li>
                                <li class=""><a href="Easing.js.html">Easing.js</a></li>
                                <li class=""><a href="Motion.js.html">Motion.js</a></li>
                                <li class=""><a href="Scroll.js.html">Scroll.js</a></li>
                        </ul>
                    </div>


                    <div class="module">
                        <h4>Methods</h4>
                        <ul class="content">        
                                <li><!--<code>Number</code>-->
                                <a href="#backBoth">backBoth</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#backIn">backIn</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#backOut">backOut</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#bounceBoth">bounceBoth</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#bounceIn">bounceIn</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#bounceOut">bounceOut</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#easeBoth">easeBoth</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#easeBothStrong">easeBothStrong</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#easeIn">easeIn</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#easeInStrong">easeInStrong</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#easeNone">easeNone</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#easeOut">easeOut</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#easeOutStrong">easeOutStrong</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#elasticBoth">elasticBoth</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#elasticIn">elasticIn</a>
                                </li>
                                <li><!--<code>Number</code>-->
                                <a href="#elasticOut">elasticOut</a>
                                </li>
                        </ul>
                    </div>



            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
